Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.scala
[Groovy] Class ScalaDocOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.scala.ScalaDocOptions

    class ScalaDocOptions
    extends AbstractOptions

Property Summary
`List` | `additionalParameters` Additional parameters passed to the compiler.
`String` | `bottom` Html text to appear in the bottom text for each page.
`boolean` | `deprecation` Generate deprecation information.
`String` | `docTitle` Html text to appear in the main frame title.
`String` | `footer` Html text to appear in the footer for each page.
`String` | `header` Html text to appear in the header for each page.
`File` | `styleSheet` Style sheet to override default style.
`String` | `top` Html text to appear in the top text for each page.
`boolean` | `unchecked` Generate unchecked information.
`String` | `windowTitle` Text to appear in the window title.

Method Summary
`Map` | `fieldName2AntMap()`
`Map` | `fieldValue2AntMap()`

Methods inherited from class AbstractOptions
define, excludedFieldsFromOptionMap, fieldName2AntMap, fieldValue2AntMap, optionMap

Property Detail

### additionalParameters

    @Input
    @Optional
    List additionalParameters

  Additional parameters passed to the compiler. Each parameter must start with '-'.

### bottom

    @Input
    @Optional
    String bottom

  Html text to appear in the bottom text for each page.

### deprecation

    @Input
    boolean deprecation

  Generate deprecation information.

### docTitle

    @Input
    @Optional
    String docTitle

  Html text to appear in the main frame title.

### footer

    @Input
    @Optional
    String footer

  Html text to appear in the footer for each page.

### header

    @Input
    @Optional
    String header

  Html text to appear in the header for each page.

### styleSheet

    @InputFile
    @Optional
    File styleSheet

  Style sheet to override default style.

### top

    @Input
    @Optional
    String top

  Html text to appear in the top text for each page.

### unchecked

    @Input
    boolean unchecked

  Generate unchecked information.

### windowTitle

    @Input
    @Optional
    String windowTitle

  Text to appear in the window title.

Method Detail

### fieldName2AntMap

    Map fieldName2AntMap()

### fieldValue2AntMap

    Map fieldValue2AntMap()

Gradle API 1.1-rc-1